/*
 * $Id: NoStrategy.java,v 1.1 2002-09-01 23:42:52-07 ball Exp $
 *
 * Copyright 2002 Allen D. Ball.  All rights reserved.
 */
package player.strategy;

import player.*;

/**
 * This class implements the "no strategy" strategy.
 *
 * @author <a href="mailto:ball@iprotium.com">Allen D. Ball</a>
 * @version $Revision: 1.1 $
 */
public class NoStrategy extends Strategy {

    /**
     * Creates a "no strategy" strategy.
     */
    public NoStrategy() { super(); }

    /**
     * Method to calculate the player's robot next command using
     * the "no strategy" strategy;
     *
     * @return                  The next command to send to the player's
     *                          robot.  (Always returns <tt>null</tt>.)
     */
    public Command nextCommand() { return null; }
}
/*
 * $Log: NoStrategy.java,v $
 * Revision 1.1  2002-09-01 23:42:52-07  ball
 * Initial revision
 *
 */
