/*
 * $Id: Locality.java,v 1.2 2002-09-02 03:24:19-07 ball Exp $
 *
 * Copyright 2002 Allen D. Ball.  All rights reserved.
 */
package world;

/**
 * Interface to specify an object which has locality in the world
 * (associated with a tile).
 *
 * @author <a href="mailto:ball@iprotium.com">Allen D. Ball</a>
 * @version $Revision: 1.2 $
 */
public interface Locality {

    /**
     * Method to get the location tile.
     *
     * @return                  The location tile.
     */
    public Tile getTile();
}
/*
 * $Log: Locality.java,v $
 * Revision 1.2  2002-09-02 03:24:19-07  ball
 * Fixed log.
 *
 * Revision 1.1  2002-09-02 03:22:25-07  ball
 * Initial revision
 *
 */
